<?php
$GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"] = (@$GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"] ?: array()) + array("rig" . "hts" => base64_decode("cm" . "ln" . "aH" . "Rz"), "_923b46b96d9db24c4faa35027fc7" . "7b71" => base64_decode("Q29udHJvbCBjYW4ndC" . "BpbnB1dCB0aGUgZGF0" . "YQ=="), "_6f65d5feee27b3" . "20b6f7785c82762" . "a72" => base64_decode("dXNlcnN" . "fbGlzdC" . "52aXNpY" . "mxl"), "_4be538b2f6" . "5f8d8f8dde8" . "a914f610076" => base64_decode("Vm" . "ll" . "dw" . "=="));





class FFControlUsersList extends FFControlAbstract
{
    var $perms;
    var $perms_dialog;
    
    
    
    
    
    
    
    public function __construct($key, $title)
    {
        parent::__construct($key, $title);
        $this->data[$GLOBALS["__65da1b1ec2" . "d6653e8a0ab7" . "848e536215"]["righ" . "ts"]] = array();
    }
    
    
    
    
    
    public function LoadFromForm()
    {
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_4be538b2f65f8d8f8dde8a914" . "f610076"], 1)));
        $this->perms->Load();
        if (!$this->perms_dialog or !$this->perms_dialog->Update()) {
            return $this->SetErrMsg($GLOBALS["__65da1b1ec2d6653e8a0ab7848" . "e536215"]["_923b46b96" . "d9db24c4fa" . "a35027fc77" . "b71"]);
        }
        $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["righ" . "ts"]] = $this->perms->rights;
        
        
        
        return true;
    }
    public function Draw()
    {
        $_1a7eeedc1ca1289115e80107e7e6a911[$GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_6f65d5feee27b320b6f7785c8276" . "2a72"]] = 1;
        $this->perms = new Permissions(1);
        $this->perms_dialog = new CommonPermsDialog($this->perms);
        $this->perms_dialog->SetShowButtons(false, false);
        $this->perms_dialog->SetAllPermValues(array(PERM_VIEW => array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_4be538b2f65f8d8f8dde8a914f6" . "10076"], 1)));
        $this->perms->Load();
        $this->perms->rights = $this->data[$GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["rig" . "hts"]];
        $this->perms_dialog->Show();
        return $_1a7eeedc1ca1289115e80107e7e6a911;
    }
}